Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface ConnectionEventListener

All Superinterfaces:
  EventListener

public interface ConnectionEventListener
extends EventListener

An object that registers to be notified of events generated by a `PooledConnection` object.

The `ConnectionEventListener` interface is implemented by a connection pooling component. A connection pooling component will usually be provided by a JDBC driver vendor or another system software vendor. A JDBC driver notifies a `ConnectionEventListener` object when an application is finished using a pooled connection with which the listener has registered. The notification occurs after the application calls the method `close` on its representation of a `PooledConnection` object. A `ConnectionEventListener` is also notified when a connection error occurs due to the fact that the `PooledConnection` is unfit for future use---the server has crashed, for example. The listener is notified by the JDBC driver just before the driver throws an `SQLException` to the application using the `PooledConnection` object.

Since:
  1.4

Method Summary
`void` | `connectionClosed(ConnectionEvent event)` Notifies this `ConnectionEventListener` that the application has called the method `close` on its representation of a pooled connection.
`void` | `connectionErrorOccurred(ConnectionEvent event)` Notifies this `ConnectionEventListener` that a fatal error has occurred and the pooled connection can no longer be used.

Method Detail

### connectionClosed

    public void connectionClosed(ConnectionEvent event)

  Notifies this `ConnectionEventListener` that the application has called the method `close` on its representation of a pooled connection.

  Parameters:
    `event` - an event object describing the source of the event

### connectionErrorOccurred

    public void connectionErrorOccurred(ConnectionEvent event)

  Notifies this `ConnectionEventListener` that a fatal error has occurred and the pooled connection can no longer be used. The driver makes this notification just before it throws the application the `SQLException` contained in the given `ConnectionEvent` object.

  Parameters:
    `event` - an event object describing the source of the event and containing the `SQLException` that the driver is about to throw

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.